# run `apt-get upgrade` on all waeup hosts

## use this if you are sure there are no problems ahead (adventurous)
# ansible -i hosts all -K -b -m shell -a "/usr/bin/aptitude -y safe-upgrade"

## use this version to abort in any complex situation (safe way)
#ansible -i hosts all -K -b -m shell -a "/usr/bin/apt-get -y --trivial-only upgrade"

## use this to enter the sudo password on the commandline
#ansible -i hosts all -e "ansible_become_pass=PW_HERE" -b -m shell -a "/usr/bin/apt-get -y upgrade"

## with the password stored in group_vars/production.yml, we do not have to enter passwords.
## the file should look like: (w/o any hashes/spaces in front)
## ---
## ansible_sudo_pass: my-password-on-waeup-servers
##
#ansible -i hosts all -b -m shell -a "/usr/bin/apt-get -y upgrade"

## use the `apt` module (instead of `shell`), that better suites our tasks
ansible -i hosts all -b -m apt -a "upgrade=safe update_cache=yes"
